class: GalaxyWorkflow
doc: This workflow take as input a collection of paired fastq. Remove adapters with
  cutadapt v1.16 (now both at the same time), map pairs with bowtie2. Keep MAPQ30
  and concordant pairs. MACS2 for paired bam.
label: WPpaper_H3K27ac_mm10
tags:
- ChIP
uuid: 381a3b42-9162-4760-8400-96c69c9d421c
inputs:
  null:
    optional: false
    position:
      bottom: 1078.6000061035156
      height: 81.10000610351562
      left: -616
      right: -416
      top: 997.5
      width: 200
      x: -616
      y: 997.5
    type: collection
outputs:
  _anonymous_output_1:
    outputSource: 1/report
  _anonymous_output_2:
    outputSource: 2/mapping_stats
  _anonymous_output_3:
    outputSource: filter mapq30 cp/output1
  'MarkDuplicates on input dataset(s): MarkDuplicates BAM output':
    outputSource: 4/outFile
  'MarkDuplicates on input dataset(s): MarkDuplicate metrics':
    outputSource: 4/metrics_file
  'Samtools view on input dataset(s): filtered alignments':
    outputSource: 5/outputsam
  _anonymous_output_4:
    outputSource: 6/output_narrowpeaks
  _anonymous_output_5:
    outputSource: 6/output_summits
  _anonymous_output_6:
    outputSource: 7/out_file1
  'MultiQC on input dataset(s): Webpage':
    outputSource: 8/html_report
  'MultiQC on input dataset(s): Stats':
    outputSource: 8/stats
steps:
- tool_shed_repository:
    changeset_revision: 093678460093
    name: cutadapt
    owner: lparsons
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/lparsons/cutadapt/cutadapt/1.16.8
  tool_version: 1.16.8
  position:
    bottom: 1352.8333282470703
    height: 183.3333282470703
    left: -330.48333740234375
    right: -130.48333740234375
    top: 1169.5
    width: 200
    x: -330.48333740234375
    y: 1169.5
  tool_state:
    adapter_options:
      count: '1'
      error_rate: '0.1'
      mask_adapter: 'false'
      match_read_wildcards: ' '
      no_indels: 'false'
      no_trim: 'false'
      overlap: '3'
    filter_options:
      discard: 'false'
      discard_untrimmed: 'false'
      max: null
      max_n: null
      min: '15'
      pair_filter: any
    library:
      __current_case__: 0
      input_1:
        __class__: ConnectedValue
      r1:
        adapters:
        - __index__: 0
          adapter_source:
            __current_case__: 0
            adapter: GATCGGAAGAGCACACGTCTGAACTCCAGTCAC
            adapter_name: 'Please use: For R1: - For Nextera: CTGTCTCTTATACACATCTCCGAGCCCACGAGAC
              - For TrueSeq: GATCGGAAGAGCACACGTCTGAACTCCAGTCAC or AGATCGGAAGAGCACACGTCTGAACTCCAGTCAC '
            adapter_source_list: user
        anywhere_adapters: []
        cut: '0'
        front_adapters: []
      type: single
    output_options:
      info_file: 'false'
      multiple_output: 'false'
      report: 'true'
      rest_file: 'false'
      too_long_file: 'false'
      too_short_file: 'false'
      untrimmed_file: 'false'
      wildcard_file: 'false'
    read_mod_options:
      length: '0'
      length_tag: ''
      nextseq_trim: '0'
      prefix: ''
      quality_cutoff: '30'
      strip_suffix: ''
      suffix: ''
      trim_n: 'false'
  in:
    library|input_1:
      source: '0'
  out:
    out1:
      hide: true
    report:
      rename: cutadapt report
- tool_shed_repository:
    changeset_revision: a6d65b0c67af
    name: bowtie2
    owner: devteam
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/devteam/bowtie2/bowtie2/2.4.2+galaxy0
  tool_version: 2.4.2+galaxy0
  position:
    bottom: 1084.0333404541016
    height: 244.53334045410156
    left: 109
    right: 309
    top: 839.5
    width: 200
    x: 109
    y: 839.5
  tool_state:
    analysis_type:
      __current_case__: 0
      analysis_type_selector: simple
      presets: no_presets
    library:
      __current_case__: 0
      aligned_file: 'false'
      input_1:
        __class__: ConnectedValue
      type: single
      unaligned_file: 'false'
    reference_genome:
      __current_case__: 0
      index: mm10_UCSC
      source: indexed
    rg:
      __current_case__: 3
      rg_selector: do_not_set
    sam_options:
      __current_case__: 1
      sam_options_selector: 'no'
    save_mapping_stats: 'true'
  in:
    library|input_1:
      source: 1/out1
  out:
    mapping_stats:
      rename: mapping stats
    output:
      hide: true
      rename: bowtie2 output (BAM)
- label: filter mapq30 cp
  tool_shed_repository:
    changeset_revision: 649a225999a5
    name: samtool_filter2
    owner: devteam
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/devteam/samtool_filter2/samtool_filter2/1.8+galaxy1
  tool_version: 1.8+galaxy1
  position:
    bottom: 963.6333312988281
    height: 224.13333129882812
    left: 330.51666259765625
    right: 530.5166625976562
    top: 739.5
    width: 200
    x: 330.51666259765625
    y: 739.5
  tool_state:
    bed_file:
      __class__: RuntimeValue
    flag:
      __current_case__: 0
      filter: 'no'
    header: -h
    input1:
      __class__: ConnectedValue
    library: ''
    mapq: '30'
    outputtype: bam
    possibly_select_inverse: 'false'
    read_group: ''
    regions: ''
  in:
    input1:
      source: '2'
  out:
    output1:
      rename: filtered BAM
- tool_shed_repository:
    changeset_revision: a1f0b3f4b781
    name: picard
    owner: devteam
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/devteam/picard/picard_MarkDuplicates/2.18.2.2
  tool_version: 2.18.2.2
  position:
    bottom: 1007.6333312988281
    height: 224.13333129882812
    left: 742
    right: 942
    top: 783.5
    width: 200
    x: 742
    y: 783.5
  tool_state:
    assume_sorted: 'true'
    barcode_tag: ''
    comments: []
    duplicate_scoring_strategy: SUM_OF_BASE_QUALITIES
    inputFile:
      __class__: ConnectedValue
    optical_duplicate_pixel_distance: '100'
    read_name_regex: ''
    remove_duplicates: 'true'
    validation_stringency: LENIENT
  in:
    inputFile:
      source: filter mapq30 cp/output1
- tool_shed_repository:
    changeset_revision: c370440f901e
    name: samtools_view
    owner: iuc
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/iuc/samtools_view/samtools_view/1.13+galaxy1
  tool_version: 1.13+galaxy1
  position:
    bottom: 1058.8333282470703
    height: 183.3333282470703
    left: 1064
    right: 1264
    top: 875.5
    width: 200
    x: 1064
    y: 875.5
  tool_state:
    addref_cond:
      __current_case__: 0
      addref_select: 'no'
    input:
      __class__: RuntimeValue
    mode:
      __current_case__: 1
      filter_config:
        cigarcons: null
        cond_region:
          __current_case__: 0
          select_region: 'no'
        cond_rg:
          __current_case__: 0
          select_rg: 'no'
        exclusive_filter: null
        exclusive_filter_all: null
        inclusive_filter: null
        library: ''
        qname_file:
          __class__: RuntimeValue
        quality: null
        tag: ''
      output_options:
        __current_case__: 0
        adv_output:
          collapsecigar: 'false'
          readtags: []
        complementary_output: 'false'
        output_format:
          __current_case__: 2
          oformat: bam
        reads_report_type: retained
      outtype: selected_reads
      subsample_config:
        subsampling_mode:
          __current_case__: 1
          seed: null
          select_subsample: target
          target: '42317564'
  in:
    input:
      source: 4/outFile
- tool_shed_repository:
    changeset_revision: 424aefbd7777
    name: macs2
    owner: iuc
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/iuc/macs2/macs2_callpeak/2.1.1.20160309.6
  tool_version: 2.1.1.20160309.6
  position:
    bottom: 1470.0333251953125
    height: 488.5333251953125
    left: 1292
    right: 1492
    top: 981.5
    width: 200
    x: 1292
    y: 981.5
  tool_state:
    advanced_options:
      broad_options:
        __current_case__: 1
        broad_options_selector: nobroad
        call_summits: 'false'
      keep_dup_options:
        __current_case__: 2
        keep_dup_options_selector: all
      llocal: null
      nolambda: 'false'
      ratio: null
      slocal: null
      spmr: 'false'
      to_large: 'false'
    control:
      __current_case__: 1
      c_select: 'No'
    cutoff_options:
      __current_case__: 1
      cutoff_options_selector: qvalue
      qvalue: '0.05'
    effective_genome_size_options:
      __current_case__: 1
      effective_genome_size_options_selector: '1870000000'
    format: BAM
    nomodel_type:
      __current_case__: 1
      extsize: '200'
      nomodel_type_selector: nomodel
      shift: '0'
    outputs:
    - peaks_tabular
    - summits
    - bdg
    - html
    treatment:
      __current_case__: 0
      input_treatment_file:
        __class__: ConnectedValue
      t_multi_select: 'No'
  in:
    treatment|input_treatment_file:
      source: 5/outputsam
  out:
    output_control_lambda:
      hide: true
    output_extra_files:
      hide: true
    output_tabular:
      hide: true
    output_treat_pileup:
      hide: true
- tool_id: wig_to_bigWig
  tool_version: 1.1.1
  position:
    bottom: 1452.6333312988281
    height: 112.13333129882812
    left: 1946
    right: 2146
    top: 1340.5
    width: 200
    x: 1946
    y: 1340.5
  tool_state:
    input1:
      __class__: ConnectedValue
    settings:
      __current_case__: 0
      settingsType: preset
  in:
    input1:
      source: 6/output_treat_pileup
  out:
    out_file1:
      rename: coverage from MACS2 (bigwig)
- tool_shed_repository:
    changeset_revision: 9a913cdee30e
    name: multiqc
    owner: iuc
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/iuc/multiqc/multiqc/1.11+galaxy0
  tool_version: 1.11+galaxy0
  position:
    bottom: 2046.1333312988281
    height: 356.1333312988281
    left: 1894
    right: 2094
    top: 1690
    width: 200
    x: 1894
    y: 1690
  tool_state:
    comment: ''
    export: 'true'
    flat: 'false'
    results:
    - __index__: 0
      software_cond:
        __current_case__: 5
        input:
          __class__: ConnectedValue
        software: cutadapt
    - __index__: 1
      software_cond:
        __current_case__: 3
        input:
          __class__: ConnectedValue
        software: bowtie2
    - __index__: 2
      software_cond:
        __current_case__: 16
        input:
          __class__: ConnectedValue
        software: macs2
    saveLog: 'false'
    title: ''
  in:
    results_0|software_cond|input:
      source: 1/report
    results_1|software_cond|input:
      source: 2/mapping_stats
    results_2|software_cond|input:
      source: 6/output_tabular
  out:
    plots:
      hide: true
